#
# spec file for package perl-Email-MIME-Encodings
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Email-MIME-Encodings
Name:           perl-Email-MIME-Encodings
Version:        1.317
Release:        bp160.1.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Unified interface to MIME encoding and decoding
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
This module simply wraps 'MIME::Base64' and 'MIME::QuotedPrint' so that you
can throw the contents of a 'Content-Transfer-Encoding' header at some text
and have the right thing happen.

'MIME::Base64', 'MIME::QuotedPrint', 'Email::MIME'.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.317
  see /usr/share/doc/packages/perl-Email-MIME-Encodings/Changes
  1.317     2022-12-31 21:28:56-05:00 America/New_York
  - update author contact info
* Sun Oct 23 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.316
  see /usr/share/doc/packages/perl-Email-MIME-Encodings/Changes
  1.316     2022-10-22 16:10:14-04:00 America/New_York
    update packaging and metadata
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.315
    repackage to update repository and bug tracker
    add a third argument to encode/decode/codec to allow a fallback
    codec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Dec 10 2009 chris@computersalat.de
- cleanup spec
  * added header
- fixed Build deps
  * added perl-macros
  * added Test::Pod::Coverage
  * added Test::Pod
* Wed Dec  9 2009 bitshuffler #suse@irc.freenode.org
- Initial RPM
